extends Node2D

var can_be_set : int
var cannot_be_set : Array[int]

var constants = {
	"can_be_set": 1,
	"cannot_be_set": [2, 3, 4],
}

func _ready():
	# Works
	self["can_be_set"] = constants["can_be_set"]
	
	# Fails
	self["cannot_be_set"] = constants["cannot_be_set"]
	
	# Fails
	var t1 := typeof(cannot_be_set)
	self["cannot_be_set"] = type_convert(constants["cannot_be_set"], t1)

	# Fails
	var t2 := typeof(self["cannot_be_set"])
	self["cannot_be_set"] = type_convert(constants["cannot_be_set"], t2)
